using System;


namespace ConsoleApp2
{
    class Program
    {
        static double maks(double[] a, float[] p, int n)
        {
            double sum = 0, sum1 = 0;
            int i = 0, j = 0;
            for (i = 0; i < n; i++)
            {
                for (j = 0; j < n; j++)
                {
                    if(p[i]<=p[j])
                    {
                        sum1 += a[j];
                    }
                }
                sum1 *= p[i] / 100;
                if (sum < sum1)
                    sum = sum1;
                sum1 = 0;
            }
            sum = Math.Round(sum, 4);
            return sum;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int i = 0;
            double[] a = new double[n];
            float[] p = new float[n];
            for(i=0;i<n;i++)
            {
                string[] niz = Console.ReadLine().Split();
                a[i] = Int64.Parse(niz[0]);
                p[i] = float.Parse(niz[1]);
            }
            Console.WriteLine(maks(a, p, n));
        }
    } 
    }